Subject: Re: IPR disclosures: stds track vs all IETF documents?

From: Brian E Carpenter <[email-masked]>
Date: Fri, 02 May 2003 14:21:14 +0200

Scott Bradner wrote:
> 
> > and the conclusion I would draw from these words is that IPR notices
> > are required only in standards-track documents, since that is what
> 
> IPR text was mandated in Stds track documents in 2026 but
> this has not been done in any regularity in reality
> 
> but I see no reason that having the same text in any RFC where
> IPR disclosures have been received would be a change to the rules, its
> just being polite  (this is what is in teh current document)
> 
> note that the question about including the IPR text in RFCs is
> not the same issue as requiring IPR disclosures for non-stds track
> documents (which has been at least my assumption for quete a while
> since a non-stds track doc can later become a strds track doc and
> because people do implement info and exp IDs)

Well, I suspect many people don't make that assumption. Obviously
when a document is formally submitted to the standards track, having
started life otherwise, disclosures are due. But I agree with CMH that
it is not a direct implication of 2026 that disclosures are due for 
Informational or Experimental contributions, and still less for emails 
proposing an idea. 2026 doesn't define 'contribution' but it can easily
be read to imply that it means contributions to standards track work.

draft-ietf-ipr-technology-rights-05.txt does expand the scope, in a way
that is pre-figured by the Note Well, but the Note Well is not a duly
debated and approved BCP.

   Brian
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Scott Bradner <[email-masked]>
Date: Fri, 2 May 2003 08:23:00 -0400 (EDT)

>  but the Note Well is not a duly

no, but it has been running code for a number of years

Scott

---

From: Scott W Brim <[email-masked]>
Date: Thu, 8 May 2003 15:29:55 -0400

> be read to imply that it means contributions to standards track work.

IMO All communications need to be included in the disclosure policy or
you end up in a Rambus situation.

> debated and approved BCP.

The policy has been poorly documented up to now.

See you ... swb